Bug 985659 - Guest installation with AHCI interface failed with storage input/output error
Guest installation with AHCI interface failed with storage input/output error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: John Snow
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 23:39 EDT by xhan
Modified: 2014-07-22 14:08 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.5.3-66
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-22 14:08:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xhan 2013-07-17 23:39:21 EDT
Description of problem:

Installation with ahci interface failed because of "Storage Activation Failed: input/output error during read on /dev/sda"

Version-Release number of selected component (if applicable):
Kernel:
3.10.0-0.rc7.64.el7.x86_64
qemu-kvm:
qemu-kvm-1.5.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start the installation with ahci interface
qemu -name virt-tests-vm1 -nodefaults \
-device ahci,id=ahci,addr=0x5 \
-drive file=RHEL-Server-6.4-64.qcow2,if=none,id=ahci0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native -device ide-drive,bus=ahci.0,drive=ahci0 \
-device e1000,netdev=idvo2fOy,mac=9a:0e:0f:10:11:12,bus=pci.0,addr=0x3,id=idtzF4wm \
-netdev tap,id=idvo2fOy -m 32768 -smp 16,maxcpus=16,cores=4,threads=2,sockets=2 \
-cpu SandyBridge \
-M pc \
-drive file=RHEL6.4-Server-x86_64.iso,index=2,if=none,id=drive-ide0-0-0,media=cdrom,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0 \
-device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
-spice port=5900,disable-ticketing \
-vga qxl \
-global qxl-vga.vram_size=33554432 -rtc base=utc,clock=host,driftfix=slew -boot order=cdn,once=d,menu=off -no-kvm-pit-reinjection -no-shutdown -enable-kvm

2. Continue to install, and when activating storage configuration
It prompts "Storage Activation Failed: input/output error during read on /dev/sda"

Actual results:

Installation aborts

Expected results:
Installation should be finished.

Additional info:
Comment 3 xhan 2013-07-18 02:19:38 EDT
Install for guest rhel7, DiskLabelCommitError: Could not commit to disk /dev/sda would happen and then quit the installation.
Comment 4 xhan 2013-07-31 20:39:04 EDT
Test on qemu-kvm-1.5.0-2.el7.x86_64, there is no this issue happens. Intallation can proceed.

Set this issue as a regression.
Comment 11 CongLi 2014-07-22 06:16:28 EDT
1. Reproduce this bug on the following version:
   qemu-kvm-1.5.1-2.el7.x86_64

(1) The guest in comment 0 is RHEL.6.4, but according to comment 6, ahci is not supported in RHEL.6.
   I think we can ignore this. (ps. I can reproduce the error in the summary)

(2) Tested with RHEL.7.0 guest, met the following error, which is similar to bz981723.
 
'Buffer I/O error on device sda, logical block 0'
'Buffer I/O error on device sda, logical block 1'
'Buffer I/O error on device sda, logical block 2'
'Buffer I/O error on device sda, logical block 3'
sd 0:0:0:0: [sda] Unhandled error code


2. Installation pass with qemu-kvm-1.5.3-66.el7.x86_64.

As the above info, I think this bug is a dup to bz981723.

Qemu CML:
/bin/qemu-kvm \
    -S  \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -M pc  \
    -nodefaults  \
    -vga cirrus  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20140722-170031-URkODFwX,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20140722-170031-URkODFwX,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20140722-170031-URkODFwX,path=/tmp/seabios-20140722-170031-URkODFwX,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20140722-170031-URkODFwX,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=03 \
    -device ahci,id=ahci0,bus=pci.0,addr=04 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,file=/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/RHEL-Server-7.0-64.qcow2 \
    -device ide-hd,id=image1,drive=drive_image1,bus=ahci0.0,unit=0 \
    -device e1000,mac=9a:62:63:64:65:66,id=idTOwqBF,netdev=id4uqo1L,bus=pci.0,addr=05  \
    -netdev tap,id=id4uqo1L,fd=22  \
    -m 2048  \
    -smp 1,maxcpus=1,cores=1,threads=1,sockets=2  \
    -cpu 'Opteron_G4',+kvm_pv_unhalt \
    -drive id=drive_cd1,if=none,snapshot=off,aio=native,media=cdrom,file=/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/linux/RHEL7.0-Server-x86_64.iso \
    -device ide-cd,id=cd1,drive=drive_cd1,bus=ahci0.1,unit=0 \
    -drive id=drive_unattended,if=none,snapshot=off,aio=native,media=cdrom,file=/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel70-64/ks.iso \
    -device ide-cd,id=unattended,drive=drive_unattended,bus=ahci0.2,unit=0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -kernel '/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel70-64/vmlinuz'  \
    -append 'ksdevice=link ks=cdrom:/dev/sr1:/ks.cfg nicdelay=60 console=ttyS0,115200 console=tty0'  \
    -initrd '/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/rhel70-64/initrd.img'  \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off  \
    -no-kvm-pit-reinjection \
    -no-shutdown \
    -enable-kvm


If there is anything wrong, please feel free to correct me.

Thanks,
Cong
Comment 12 John Snow 2014-07-22 14:08:42 EDT
Thanks for the information, Cong!

Given that AHCI is technically unsupported to begin with /and/ it is fixed in 1.5.3-66, I think we can safely close this.

Note You need to log in before you can comment on or make changes to this bug.